#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n;
    cin>>n;
    vector<int> a(n);
    int i;
    for(i=0;i<n;i++){
        cin>>a[i];
    }
    vector<int> pref(n+1);
    pref[0]=0;
    for(i=1;i<=n;i++){
        pref[i]=pref[i-1]+a[i-1];
    }
    int minn_pref=0;
    int res=a[0];
    for(i=1;i<=n;i++){
        if(pref[i]-minn_pref>res){
            res=pref[i]-minn_pref;
        }
        if(pref[i]<minn_pref){
            minn_pref=pref[i];
        }
    }
    cout<<res<<endl;
    return 0;
}
